Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.datatype
Class StaticSelectionList.SelectionListItem

    java.lang.Object
      org.apache.cocoon.forms.datatype.StaticSelectionList.SelectionListItem

Enclosing class:
  StaticSelectionList

public final class StaticSelectionList.SelectionListItem
extends Object

Constructor Summary
`StaticSelectionList.SelectionListItem(Object value)`
`StaticSelectionList.SelectionListItem(Object value, String label)`
`StaticSelectionList.SelectionListItem(Object value, XMLizable label)`

Method Summary
`void` | `generateSaxFragment(ContentHandler contentHandler, Locale locale, Convertor.FormatCache formatCache)`
`Object` | `getValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticSelectionList.SelectionListItem

    public StaticSelectionList.SelectionListItem(Object value,
                                                 XMLizable label)

### StaticSelectionList.SelectionListItem

    public StaticSelectionList.SelectionListItem(Object value,
                                                 String label)

### StaticSelectionList.SelectionListItem

    public StaticSelectionList.SelectionListItem(Object value)

Method Detail

### getValue

    public Object getValue()

### generateSaxFragment

    public void generateSaxFragment(ContentHandler contentHandler,
                                    Locale locale,
                                    Convertor.FormatCache formatCache)
                             throws SAXException

  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.